package com.icloud.server.utils;

/**
 * 接口状态码
 * 
 * @author chengkai
 */
public class CodeDefs {

	//登陆成功
	public static final Integer SUCCESS = 200;

	//账户暂停登陆失败
	public static final Integer ERROR_ACCOUNT_STATUS = 201;

	//接口参数请求错误
	public static final Integer ERROR_PARAM = 400;

	//请求超时/请求错误
	public static final Integer ERROR_REQUEST = 401;

	//请求权限不足
	public static final Integer ERROR_AUTUORIZATION = 402;

    //操作对象不存在
    public static final Integer ERROR_NO_OBJECT = 403;

	//接口是未登录状态
	public static final Integer ERROR_NO_LOGIN = 404;
	//系统异常
	public static final Integer ERROR_SYSTEM=500;

	//未绑定手机号
	public static final Integer UNBOUND_MOBILE=501;

	/**
	 * 失败标记
	 */
	public static final Integer FAIL = 100;

	//等待扫码
	public static final Integer WATING_SCAN=1001;

	//二维码过期
	public static final Integer CODE_EXPIRE=1002;

}
