import { createApp } from 'vue'
import './registerServiceWorker'
import router from './router'
import store from './store'
import App from './App.vue'
import Antd from 'ant-design-vue';
import 'ant-design-vue/dist/antd.less';
import '@vueup/vue-quill/dist/vue-quill.snow.css';
import '@/assets/fonts/iconfont.css'





const app= createApp(App).use(store).use(router).use(Antd).mount('#app')



// console.log(process.env.VUE_APP_TEXT)
